# Dissident deliberations under state repression: code and data files

## Contents

| File          | Description                   |
|---------------+-------------------------------|
| cmg.py        | Python code to produce output |
| context1.json | Data set 1 context            |
| context2.json | Data set 2 context            |
| data1.json    | Data set 1                    |
| data2.json    | Data set 2                    |
| output1.csv   | Data set 1 output             |
| output2.csv   | Data set 2 output             |

## Software requirements

- Python version 3.10 or greater
- Pandas
- Numpy

## Usage

From this directory, execute:

```
python cmg.py
```

## Output column key

Each row in the output table corresponds to a run of all maps in a counterfactual
scenario.  1's in the environment variable columns indicate that the variable has been
forced off in the runs.

| Name       | Description                                                |
|------------+------------------------------------------------------------|
| count_vars | number of counterfactual variables                         |
| map        | count of maps that reach decision variable                 |
| na         | count no-action maps that reach decision variable          |
| a          | count no-action maps that reach decision variable          |
| x          | count of group x maps that reach decision variable         |
| y          | count of group y maps that reach decision variable         |
| nax        | count no-action, group x maps that reach decision variable |
| nay        | count no-action, group y maps that reach decision variable |
| ax         | count action, group x maps that reach decision variable    |
| ay         | count action, group y maps that reach decision variable    |

Remaining columns are environment variables from the context file.

## Note on initialization modes

Data 1 and Data 2 results used different initial variables for each run.  For Data 1,
initial variables included the set from the "initial-variables" field in the context as
well as the environment variables.  For Data 2, initial variables included all pure
antecedent variables for a map.
